package com.cartoon.wallpapers.live.mydata;


import java.io.Serializable;

import io.objectbox.annotation.Entity;
import io.objectbox.annotation.Id;


@Entity
public class FavoriteData implements Serializable {
    @Id
    private long objectId;

    private String description;
    private int id;
    private String image;
    //0 :trending  1:dnamic    2:shift  3:explore
    private int wallpapertype;
    private String thumbnail;
    public FavoriteData(String description, int id, String image, int wallpapertype, String thumbnail) {
        this.description = description;
        this.id = id;
        this.image = image;
        this.wallpapertype = wallpapertype;
        this.thumbnail = thumbnail;
    }


    public FavoriteData(long objectId, String description, int id, String image, int wallpapertype, String thumbnail) {
        this.objectId = objectId;
        this.description = description;
        this.id = id;
        this.image = image;
        this.wallpapertype = wallpapertype;
        this.thumbnail = thumbnail;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public long getObjectId() {
        return objectId;
    }

    public void setObjectId(long objectId) {
        this.objectId = objectId;
    }



    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }



    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }


    public int getWallpapertype() {
        return wallpapertype;
    }

    public void setWallpapertype(int wallpapertype) {
        this.wallpapertype = wallpapertype;
    }


    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }
}
